View Issue Details

IDProjectCategoryView StatusLast Update
15665Bug reports[All Projects] Import/Exportpublic2020-01-15 15:37
Reporterjelo Assigned Tomarkusfluer  
PrioritynoneSeverityblock 
Status testingResolutionfixed 
Product Version4.0.0-RC14 
Target VersionFixed in Version 
Summary15665: Filemanager is missing a download and mass download function
Description

Is LS3 you had the feature to upload and download the complete directory including subdirectories of images, files etc.
In LS4 that function is missing completely.

Sidenote:
To have a fileformat which allows to export a complete survey project "LSS advanced" with LSS,theme, images, files would allow to save a survey project with all needed files to run the survey on a different installation.

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 4.0.0-RC12+191217
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMySQL 5.7
Server OS (if known)
Webserver software & version (if known)
PHP Version7.1.X

Relationships

related to 15701 assignedcdorin Upload file : allow to upload no image file and create a link directly 

Activities

DenisChenu

DenisChenu

2020-01-08 15:23

developer   ~55159

Last edited: 2020-01-08 15:23

View 2 revisions

Oh right !
Add/edit resources (files/images) for this survey

With Export resources as ZIP + Import resources as ZIP.

needed in my opinion



eddylackmann

eddylackmann

2020-01-10 10:25

developer   ~55178

@DenisChenu you can import zip files in the current File uploader. Export works also by selecting all the file you need to be exported (It is crompressed automatically into zip files)

DenisChenu

DenisChenu

2020-01-10 10:26

developer   ~55179

@eddylackmann : not in current file uploader, but we have a Ressource tool (see my screenshot) with Export Resources as zip and Import resources as ZIP

@jelo : you confirm ?

jelo

jelo

2020-01-10 10:41

partner   ~55182

In Version 4.0.0-RC14+200109 I cannot multi-select files/directories in the Survey/Resource/ Section.
I don't see how a file structure can be exported via ZIP-File and then imported in a different survey file.

It would be better to really have an export and import format which contains (LSS plus all resources), but the second best option was the resources section to export and import files in a file structure.

In LS3 the importfunction is broken for sub-directories. They will be ignored including the files.



image.png (40,859 bytes)
image.png (40,859 bytes)
eddylackmann

eddylackmann

2020-01-10 10:52

developer   ~55184

So I merge the changes this morning and push it to the develop branch .
don't forget to Clear the assets cache after pull



Download.JPG (105,177 bytes)
eddylackmann

eddylackmann

2020-01-10 10:59

developer   ~55185

@jelo the changes will be a part of the next release . :)

DenisChenu

DenisChenu

2020-01-10 14:30

developer   ~55188

Maybe some improvment.

On admin/filemanager&surveyid=768158 : show ONLY resource of 768158 ? Not global or other survey.

DenisChenu

DenisChenu

2020-01-10 14:37

developer   ~55189

Last edited: 2020-01-10 14:37

View 2 revisions

Debug 2 : console throw error
ReferenceError: error is not defined

And
(i have a file 1 png picture)



markusfluer

markusfluer

2020-01-15 15:37

administrator   ~55292

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=29365

Related Changesets

LimeSurvey: master 2b0601fb

2019-12-20 15:05:49

markusfluer


Committer: eddylackmann Details Diff
Fixed issue 15665: Filemanager is missing a download and mass download function Affected Issues
15665
mod - application/config/config-defaults.php Diff File
mod - application/controllers/admin/LimeSurveyFileManager.php Diff File
mod - application/helpers/admin/template_helper.php Diff File
mod - application/helpers/common_helper.php Diff File
mod - assets/packages/filemanager/build.min/css/main.css Diff File
mod - assets/packages/filemanager/build.min/js/filemanager.js Diff File
mod - assets/packages/filemanager/build.min/js/filemanager.js.map Diff File
mod - assets/packages/filemanager/build/js/filemanager.js Diff File
mod - assets/packages/filemanager/src/App.vue Diff File
mod - assets/packages/filemanager/src/components/NavBar.vue Diff File
mod - assets/packages/filemanager/src/components/subcomponents/_iconRepresentation.vue Diff File
mod - assets/packages/filemanager/src/components/subcomponents/_tableRepresentation.vue Diff File
mod - assets/packages/filemanager/src/components/subcomponents/_uploadModal.vue Diff File
mod - assets/packages/filemanager/src/helperComponents/abstractRepresentation.vue Diff File
mod - assets/packages/filemanager/src/storage/actions.js Diff File
mod - assets/packages/filemanager/src/storage/getters.js Diff File
mod - assets/packages/filemanager/src/storage/mutations.js Diff File
mod - assets/packages/filemanager/src/storage/state.js Diff File

Issue History

Date Modified Username Field Change
2019-12-17 15:28 jelo New Issue
2019-12-17 15:50 cdorin Assigned To => cdorin
2019-12-17 15:50 cdorin Status new => assigned
2019-12-18 15:26 cdorin Assigned To cdorin => markusfluer
2020-01-08 15:23 DenisChenu File Added: Capture d’écran du 2020-01-08 15-22-46.png
2020-01-08 15:23 DenisChenu Note Added: 55159
2020-01-08 15:23 DenisChenu Note Edited: 55159 View Revisions
2020-01-10 10:25 eddylackmann Note Added: 55178
2020-01-10 10:26 DenisChenu Note Added: 55179
2020-01-10 10:41 jelo File Added: image.png
2020-01-10 10:41 jelo Note Added: 55182
2020-01-10 10:52 eddylackmann File Added: Download.JPG
2020-01-10 10:52 eddylackmann Note Added: 55184
2020-01-10 10:52 eddylackmann File Added: Download-2.JPG
2020-01-10 10:53 eddylackmann File Deleted: Download-2.JPG
2020-01-10 10:54 eddylackmann Status assigned => testing
2020-01-10 10:59 eddylackmann Note Added: 55185
2020-01-10 12:26 jelo Product Version 4.0.0-RC12 => 4.0.0-RC14
2020-01-10 14:30 DenisChenu Note Added: 55188
2020-01-10 14:37 DenisChenu File Added: Capture d’écran du 2020-01-10 14-36-29.png
2020-01-10 14:37 DenisChenu Note Added: 55189
2020-01-10 14:37 DenisChenu Note Edited: 55189 View Revisions
2020-01-10 14:44 DenisChenu Relationship added related to 15701
2020-01-15 15:37 eddylackmann Changeset attached => LimeSurvey master 2b0601fb
2020-01-15 15:37 markusfluer Note Added: 55292
2020-01-15 15:37 markusfluer Resolution open => fixed